<?php
/**
 *  Medistore Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage  Medistore Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function medistore_pro_custom_colors_css() {
  	$options= medistore_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	button,
	input[type="button"],
	input[type="reset"],
	input[type="submit"],
	.main-navigation .count,
	.main-navigation .search-form .search-submit:hover,
	.main-navigation .search-form .search-submit:focus,
	.menu-toggle:hover,
	.menu-toggle:focus,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.author-name:after,
	.reply a,
	.btn,
	.slick-dots li.slick-active button,
	.featured-slider .read-more a:hover,
	.featured-slider .read-more a:focus,
	.woocommerce ul.products li.product .onsale,
	.woocommerce span.onsale,
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button,
	#service-section .icon-container a,
	#course-section .icon-container a,
	#cause-section .icon-container a,
	#promotion-section .btn:hover,
	#promotion-section .btn:focus,
	#gallery-section .entry-header,
	#contact-section input[type="submit"]:hover,
	#contact-section input[type="submit"]:focus,
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	.dark-version .pagination .page-numbers.current, 
	.dark-version .pagination .page-numbers:hover, 
	.dark-version .pagination .page-numbers:focus,
	#masthead .custom-button,
	#featured-slider .slick-arrow,
	#featured-products .btn:hover,
	#featured-products .btn:focus,
	#testimonials .slick-dots li.slick-active button,
	.articles-button .read-more:not(:first-child) .btn,
	form.search-form button.search-submit,
	#sb_instagram .sbi_follow_btn a,
	#blog-popular-posts .cat-links a,
	#blog-latest-posts .cat-links a,
	#magazine-most-viewed-posts ul.post-categories li a:hover, 
	#magazine-highlighted-posts ul.post-categories li a:focus,
	#magazine-two-column-posts ul.post-categories li a:hover, 
	#magazine-two-column-posts ul.post-categories li a:focus,
	#magazine-sports-section ul.post-categories li a:hover, 
	#magazine-sports-section ul.post-categories li a:focus,
	#magazine-three-column-posts ul.post-categories li a:hover, 
	#magazine-three-column-posts ul.post-categories li a:focus,
	#magazine-featured-posts ul.post-categories li a:hover, 
	#magazine-featured-posts ul.post-categories li a:focus,
	#magazine-latest-posts ul.post-categories li a:hover,
	#magazine-latest-posts ul.post-categories li a:focus,
	#about .btn,
	#about .btn:not(:first-child):hover, 
	#about .btn:not(:first-child):focus,
	.third-design #masthead .custom-button,
	input[type="submit"]:active,
	.third-design .backtotop,
	.third-design input[type="submit"],
	.fourth-design #masthead .custom-button, 
	.fourth-design #featured-slider .slick-arrow,
	.fourth-design .btn:hover,
	.fourth-design .btn:focus,
	.fourth-design button:focus, input[type="button"]:focus, 
	.fourth-design input[type="reset"]:focus, 
	.fourth-design input[type="submit"]:focus, button:active,
	.fourth-design input[type="button"]:active, 
	.fourth-design input[type="reset"]:active, input[type="submit"]:active,
	.fourth-design input[type="submit"],
	.fourth-design .backtotop,
	.fourth-design form.search-form button.search-submit,
	.fourth-design .reply a,
	.fourth-design .about-content,
	.fourth-design.woocommerce ul.products li.product .onsale, 
	.fourth-design.woocommerce span.onsale,
	.fourth-design.woocommerce a.button,
	.fourth-design #testimonials .slick-dots li.slick-active button,
	.fourth-design .articles-button .read-more:not(:first-child) .btn,
	.fourth-design.woocommerce #respond input#submit,
	.fourth-design .about-content,
	.third-design .about-content,
	.second-design .about-content,
	.about-content,
	.second-design #masthead .custom-button, 
	.second-design #featured-slider .slick-arrow,
	.second-design .btn:hover,
	.second-design .btn:focus,
	.second-design button:focus, input[type="button"]:focus, 
	.second-design input[type="reset"]:focus, 
	.second-design input[type="submit"]:focus, button:active,
	.second-design input[type="button"]:active, 
	.second-design input[type="reset"]:active, input[type="submit"]:active,
	.second-design input[type="submit"],
	.second-design .backtotop,
	.second-design form.search-form button.search-submit,
	.second-design .reply a,
	.about-content  {
	    background-color: ' . esc_attr( $color_value ) . ';
	}

	a,
	.site-title a:hover,
	.site-title a:focus,
	.main-navigation ul.nav-menu li.current-menu-item > a,
	.main-navigation ul.nav-menu li:hover > a,
	.main-navigation ul.nav-menu li:focus > a,
	.main-navigation a:hover,
	.main-navigation a:focus,
	.main-navigation ul.nav-menu > li > a:hover,
	.main-navigation ul.nav-menu > li > a:focus,
	.post-navigation a, 
	.posts-navigation a,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	#secondary .cat-links a,
	#secondary ul li a:hover,
	#secondary ul li a:focus,
	.page-header small,
	.posted-on a:hover,
	.posted-on a:focus,
	#secondary .posted-on a:hover,
	#secondary .posted-on a:focus,
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	.comment-metadata a:hover,
	.comment-metadata a:focus,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.section-subtitle,
	.section-title a:hover,
	.section-title a:focus,
	.entry-title a:hover,
	.entry-title a:focus,
	#popular-posts-section .post-footer-meta a:hover,
	#popular-posts-section .post-footer-meta a:focus,
	#recent-posts-section .post-footer-meta a:hover,
	#recent-posts-section .post-footer-meta a:focus,
	.product_meta a:hover,
	.product_meta a:focus,
	.woocommerce div.product p.price, 
	.woocommerce div.product span.price,
	.woocommerce ul.products li.product .price,
	.archive-blog-wrapper .post-footer-meta a:hover,
	.archive-blog-wrapper .post-footer-meta a:focus,
	ul.post-categories li a:hover,
	ul.post-categories li a:focus,
	#colophon a:hover,
	#colophon a:focus,
	#colophon .site-info a:hover,
	#colophon .site-info a:focus,
	.second-design .main-navigation ul#primary-menu li.current-menu-item > a, 
	.second-design .main-navigation ul#primary-menu li:hover > a, 
	.second-design .main-navigation ul#primary-menu li:focus > a,
	.main-navigation ul#primary-menu li.current-menu-item > a, 
	.main-navigation ul#primary-menu li:hover > a, 
	.main-navigation ul#primary-menu li:focus > a,
	.featured-content-wrapper .entry-title a:hover, 
	.featured-content-wrapper .entry-title a:focus,
	#featured-products h2.woocommerce-loop-product__title:hover, 
	#featured-products h2.woocommerce-loop-product__title:focus,
	span.woocommerce-Price-amount.amount,
	#featured-products .btn,
	#about .btn:not(:first-child),
	#team .entry-title a:hover, #team .entry-title a:focus,
	#testimonials .section-subtitle,
	.archive-blog-wrapper .entry-title a:hover, 
	.archive-blog-wrapper .entry-title a:focus,
	.articles-button .read-more:not(:first-child) .btn:hover, 
	.articles-button .read-more:not(:first-child) .btn:focus,
	.trail-items li a:hover, .trail-items li a:focus,
	.featured-content-wrapper .btn,
	.featured-content-wrapper .btn:not(:first-child):hover, 
	.featured-content-wrapper .btn:not(:first-child):focus,
	#blog-featured-posts .entry-title a:hover,
	#blog-featured-posts .entry-title a:focus,
	#blog-popular-posts .cat-links a:hover,
	#blog-popular-posts .cat-links a:focus,
	#blog-popular-posts .entry-title a:hover,
	#blog-popular-posts .entry-title a:focus,
	#blog-popular-posts .btn:hover,
	#blog-popular-posts .btn:focus,
	#blog-latest-posts .cat-links a:hover,
	#blog-latest-posts .cat-links a:focus,
	#blog-latest-posts .entry-title a:hover,
	#blog-latest-posts .entry-title a:focus,
	#blog-latest-posts .btn:hover,
	#blog-latest-posts .btn:focus,
	#magazine-most-viewed-posts .entry-title a:hover,
	#magazine-most-viewed-posts .entry-title a:focus,
	#magazine-two-column-posts .entry-title a:hover, 
	#magazine-two-column-posts .entry-title a:focus,
	#magazine-sports-section .entry-title a:hover, 
	#magazine-sports-section .entry-title a:focus,
	#magazine-three-column-posts .entry-title a:hover, 
	#magazine-three-column-posts .entry-title a:focus,
	#magazine-featured-posts .entry-title a:hover, 
	#magazine-featured-posts .entry-title a:focus,
	#magazine-latest-posts .entry-title a:hover, 
	#magazine-latest-posts .entry-title a:focus,
	#our-services .entry-title a:hover,
	#our-services .entry-title a:focus,
	#about .btn:hover,
	#about .btn:focus,
	#about .btn:not(:first-child),
	.woocommerce ul.products li.product .price del,
	#colophon .site-info a:not(:first-child),
	.third-design .main-navigation ul#primary-menu li.current-menu-item > a,
	.third-design .main-navigation ul#primary-menu li:hover > a, 
	.third-design .main-navigation ul#primary-menu li:focus > a,
	.third-design #magazine-most-viewed-posts .entry-title a:hover, 
	.third-design #magazine-most-viewed-posts .entry-title a:focus,
	.third-design #magazine-two-column-posts .entry-title a:hover, 
	.third-design #magazine-two-column-posts .entry-title a:focus,
	.third-design #magazine-sports-section .entry-title a:hover, 
	.third-design #magazine-sports-section .entry-title a:focus,
	.third-design #magazine-three-column-posts .entry-title a:hover, 
	.third-design #magazine-three-column-posts .entry-title a:focus,
	.third-design #magazine-featured-posts .entry-title a:hover, 
	.third-design #magazine-featured-posts .entry-title a:focus,
	.third-design #magazine-latest-posts .entry-title a:hover, 
	.third-design #magazine-latest-posts .entry-title a:focus,
	.third-design #colophon a:hover, 
	.third-design #colophon a:focus,
	.third-design #colophon .site-info a:hover, 
	.third-design #colophon .site-info a:focus, 
	.third-design #colophon .site-info a:not(:first-child), 
	.third-design #colophon a:hover, 
	.third-design #colophon a:focus,
	.fourth-design .featured-content-wrapper .entry-title a:hover,
	.fourth-design .featured-content-wrapper .entry-title a:focus,
	.fourth-design .featured-content-wrapper .btn,
	.fourth-design #blog-featured-posts .entry-title a:hover,
	.fourth-design #blog-featured-posts .entry-title a:focus,
	.fourth-design #blog-popular-posts .cat-links a:hover,
	.fourth-design #blog-popular-posts .cat-links a:focus,
	.fourth-design #blog-popular-posts .entry-title a:hover,
	.fourth-design #blog-popular-posts .entry-title a:focus,
	.fourth-design .posted-on a,
	.fourth-design .btn,
	.fourth-design .product_meta a:hover, 
	.fourth-design .product_meta a:focus, 
	.fourth-design.woocommerce div.product p.price, 
	.fourth-design.woocommerce div.product span.price,
	.fourth-design span.woocommerce-Price-amount.amount,
	.fourth-design.woocommerce ul.products li.product .price del,
	.fourth-design #blog-latest-posts .entry-title a:hover,
	.fourth-design #blog-latest-posts .entry-title a:focus,
	.fourth-design #colophon .site-info a:hover, 
	.fourth-design #colophon .site-info a:focus, 
	.fourth-design #colophon .site-info a:not(:first-child),
	.fourth-design #colophon a:hover, 
	.fourth-design #colophon a:focus,
	.fourth-design .footer-widgets-area .widget_nav_menu ul li:before,
	.fourth-design #secondary .cat-links a, 
	.fourth-design #secondary a:hover, 
	.fourth-design #secondary a:focus,
	.fourth-design .navigation.post-navigation a:hover, 
	.fourth-design .navigation.posts-navigation a:hover, 
	.fourth-design .navigation.post-navigation a:focus, 
	.fourth-design .navigation.posts-navigation a:focus,
	.fourth-design .comment-meta .url:hover, 
	.fourth-design .comment-meta .url:focus,
	.fourth-design .comment-metadata a:hover, 
	.fourth-design .comment-metadata a:focus,
	.fourth-design .comment-metadata a:hover time, 
	.fourth-design .comment-metadata a:focus time,
	.fourth-design #primary p a,
	.fourth-design .main-navigation ul#primary-menu li.current-menu-item > a, 
	.fourth-design .main-navigation ul#primary-menu li:hover > a, 
	.fourth-design .main-navigation ul#primary-menu li:focus > a,
	.fourth-design .featured-content-wrapper .btn:not(:first-child):hover, 
	.fourth-design .featured-content-wrapper .btn:not(:first-child):focus,
	.fourth-design #our-services .entry-title a:hover,
	.fourth-design #our-services .entry-title a:hover,
	.fourth-design .more-link a,
	.fourth-design #our-services .btn,
	.fourth-design #about .btn,
	.fourth-design .video-button a,
	.fourth-design #team .entry-title a:hover,
	.fourth-design #team .entry-title a:focus,
	.fourth-design #testimonials .section-subtitle,
	.fourth-design #testimonials .entry-title a,
	.fourth-design .archive-blog-wrapper .post-categories a,
	.fourth-design .archive-blog-wrapper .entry-title a:hover,
	.fourth-design .archive-blog-wrapper .entry-title a:focus,
	.fourth-design .post-footer-meta a:hover,
	.fourth-design .post-footer-meta a:focus,
	.fourth-design .articles-button .read-more:not(:first-child) .btn:hover,
	.fourth-design .articles-button .read-more:not(:first-child) .btn:focus,
	.second-design .featured-content-wrapper .entry-title a:hover,
	.second-design .featured-content-wrapper .entry-title a:focus,
	.second-design .featured-content-wrapper .btn,
	.second-design #blog-featured-posts .entry-title a:hover,
	.second-design #blog-featured-posts .entry-title a:focus,
	.second-design #blog-popular-posts .cat-links a:hover,
	.second-design #blog-popular-posts .cat-links a:focus,
	.second-design #blog-popular-posts .entry-title a:hover,
	.second-design #blog-popular-posts .entry-title a:focus,
	.second-design .posted-on a,
	.second-design .btn,
	.second-design .product_meta a:hover, 
	.second-design .product_meta a:focus, 
	.second-design.woocommerce div.product p.price, 
	.second-design.woocommerce div.product span.price,
	.second-design span.woocommerce-Price-amount.amount,
	.second-design.woocommerce ul.products li.product .price del,
	.second-design #blog-latest-posts .entry-title a:hover,
	.second-design #blog-latest-posts .entry-title a:focus,
	.second-design #colophon .site-info a:hover, 
	.second-design #colophon .site-info a:focus, 
	.second-design #colophon .site-info a:not(:first-child),
	.second-design #colophon a:hover, 
	.second-design #colophon a:focus,
	.second-design .footer-widgets-area .widget_nav_menu ul li:before,
	.second-design #secondary .cat-links a, 
	.second-design #secondary a:hover, 
	.second-design #secondary a:focus,
	.second-design .navigation.post-navigation a:hover, 
	.second-design .navigation.posts-navigation a:hover, 
	.second-design .navigation.post-navigation a:focus, 
	.second-design .navigation.posts-navigation a:focus,
	.second-design .comment-meta .url:hover, 
	.second-design .comment-meta .url:focus,
	.second-design .comment-metadata a:hover, 
	.second-design .comment-metadata a:focus,
	.second-design .comment-metadata a:hover time, 
	.second-design .comment-metadata a:focus time,
	.second-design #primary p a,
	.second-design .featured-content-wrapper .btn:not(:first-child):hover, 
	.second-design .featured-content-wrapper .btn:not(:first-child):focus,
	.video-button a {
		color: ' . esc_attr( $color_value ) . ';
	}

	.loader-container svg,
	.main-navigation ul.nav-menu li:hover > svg,
	.main-navigation ul.nav-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul.nav-menu > li.current-menu-item > a > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a:focus svg,
	.main-navigation li.search-menu a.search-active svg,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.widget_search form.search-form button.search-submit:hover svg,
	.widget_search form.search-form button.search-submit:focus svg,
	.single-wrapper span.posted-on svg,
	.single-wrapper span.cat-links svg,
	#team-section .social-icons a svg,
	#masthead .main-navigation ul ul li a svg:hover,
	#masthead .main-navigation ul ul li a svg:focus,
	.main-navigation ul ul li.menu-item-has-children:hover > a > svg,
	.more-link svg,
	.third-design .main-navigation .search-menu svg:hover,
	.third-design .main-navigation .search-menu svg:focus,
	.third-design .main-navigation ul ul li.menu-item-has-children:hover > a > svg,
	.third-design .main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.third-design .main-navigation li.menu-item-has-children:hover > a > svg,
	.third-design .main-navigation li.menu-item-has-children:hover > a > svg,
	.third-design #masthead .custom-button:hover svg,
	.fourth-design .main-navigation ul#primary-menu li:hover > svg, 
	.fourth-design .main-navigation ul#primary-menu li:focus > svg, 
	.fourth-design .main-navigation li.menu-item-has-children:hover > a > svg, 
	.fourth-design .main-navigation li.menu-item-has-children > a:hover > svg, 
	.fourth-design .main-navigation li.menu-item-has-children > a:focus > svg, 
	.fourth-design .main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.fourth-design #masthead .custom-button:hover svg,
	.fourth-design #masthead .custom-button:focus svg,
	.fourth-design .navigation.post-navigation a:hover svg, 
	.fourth-design .navigation.posts-navigation a:hover svg, 
	.fourth-design .navigation.post-navigation a:focus svg, 
	.fourth-design .navigation.posts-navigation a:focus svg,
	.fourth-design .more-link svg,
	.second-design .main-navigation ul#primary-menu li:hover > svg, 
	.second-design .main-navigation ul#primary-menu li:focus > svg, 
	.second-design .main-navigation li.menu-item-has-children:hover > a > svg, 
	.second-design .main-navigation li.menu-item-has-children > a:hover > svg, 
	.second-design .main-navigation li.menu-item-has-children > a:focus > svg, 
	.second-design .main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.second-design #masthead .custom-button:hover svg,
	.second-design #masthead .custom-button:focus svg,
	.second-design .navigation.post-navigation a:hover svg, 
	.second-design .navigation.posts-navigation a:hover svg, 
	.second-design .navigation.post-navigation a:focus svg, 
	.second-design .navigation.posts-navigation a:focus svg  {
		fill: ' . esc_attr( $color_value ) . ';
	}

	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	.slick-dots li button,
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	.dark-version .pagination .page-numbers.current, 
	.dark-version .pagination .page-numbers:hover, 
	.dark-version .pagination .page-numbers:focus,
	#masthead .custom-button,
	.btn,
	#featured-products .btn:hover,
	#featured-products .btn:focus,
	#testimonials .slider-nav article:hover img, 
	#testimonials .slider-nav article:focus img, 
	#testimonials .slider-nav article.slick-slide.slick-current.slick-active img,
	.articles-button .read-more:not(:first-child) .btn,
	#sb_instagram .sbi_follow_btn a:focus, 
	#sb_instagram .sbi_follow_btn a:hover,
	#blog-popular-posts .cat-links a:hover,
	#blog-popular-posts .cat-links a:focus,
	#blog-popular-posts .btn:hover,
	#blog-popular-posts .btn:focus,
	#blog-latest-posts .cat-links a:hover,
	#blog-latest-posts .cat-links a:focus,
	#blog-latest-posts .btn,
	.third-design #masthead .custom-button, 
	.third-design .btn,
	.fourth-design #masthead .custom-button, 
	.fourth-design #featured-slider .slick-arrow,
	.fourth-design .btn:hover,
	.fourth-design .btn:focus,
	.fourth-design button:focus, input[type="button"]:focus, 
	.fourth-design input[type="reset"]:focus, 
	.fourth-design input[type="submit"]:focus, button:active,
	.fourth-design input[type="button"]:active, 
	.fourth-design input[type="reset"]:active, input[type="submit"]:active,
	.fourth-design input[type="submit"],
	.fourth-design .backtotop,
	.fourth-design form.search-form button.search-submit,
	.fourth-design .reply a,
	.fourth-design .about-content,
	.fourth-design.woocommerce ul.products li.product .onsale, 
	.fourth-design.woocommerce span.onsale,
	.fourth-design.woocommerce a.button,
	.fourth-design #testimonials .slick-dots li.slick-active button,
	.fourth-design .articles-button .read-more:not(:first-child) .btn,
	.fourth-design.woocommerce #respond input#submit,
	.fourth-design #our-services .btn,
	.fourth-design .video-button a,
	.fourth-design #about .btn,
	.second-design #masthead .custom-button,
	.second-design .btn,
	.video-button a  {
	    border-color: ' . esc_attr( $color_value ) . ';
	}
	#blog-popular-posts .cat-links a:hover,
	#blog-popular-posts .cat-links a:focus,
	#blog-latest-posts .cat-links a:hover,
	#blog-latest-posts .cat-links a:focus,
	#blog-popular-posts .btn:hover,
	#blog-popular-posts .btn:focus,
	#blog-latest-posts .btn:hover,
	#blog-latest-posts .btn:focus  {
		background-color: #fff;
	}
	#blog-popular-posts .entry-title a,
	#blog-latest-posts .entry-title a,
	#magazine-most-viewed-posts .entry-title a,
	#magazine-two-column-posts .entry-title a,
	#magazine-sports-section .entry-title a,
	#magazine-three-column-posts .entry-title a,
	#magazine-featured-posts .entry-title a,
	#blog-latest-posts .cat-links a,
	#magazine-latest-posts .entry-title a,
	#our-services .entry-title a {
		color: #000;
	}
	#blog-popular-posts .btn,
	#blog-latest-posts .btn,
	#about .btn:not(:first-child):hover, 
	#about .btn:not(:first-child):focus,
	.second-design .btn:hover,
	.second-design .btn:focus,
	.third-design .btn:hover,
	.third-design .btn:focus,
	.fourth-design .btn:hover,
	.fourth-design .btn:focus {
		color: #fff;
	}
	.fourth-design #about .btn:hover,
	.fourth-design #about .btn:focus,
	.fourth-design #about .btn:not(:first-child):hover, 
	.fourth-design #about .btn:not(:first-child):focus,
	.fourth-design.woocommerce a.button :hover,
	.fourth-design.woocommerce a.button :focus,
	.fourth-design.woocommerce ul.products li.product .button:hover,
	.fourth-design.woocommerce ul.products li.product .button:focus {
		background-color: #000;
	}
	.fourth-design #masthead .custom-button:hover,
	.fourth-design #masthead .custom-button:focus,
	.fourth-design #blog-popular-posts .cat-links a:hover,
	.fourth-design #blog-popular-posts .cat-links a:focus,
	.fourth-design #about .btn,
	.fourth-design .articles-button .read-more:not(:first-child) .btn:hover,
	.fourth-design .articles-button .read-more:not(:first-child) .btn:focus {
		background-color: #fff;
	}
	.fourth-design #masthead .custom-button:hover,
	.fourth-design #masthead .custom-button:focus,
	.fourth-design #blog-popular-posts .entry-title a,
	.fourth-design #blog-latest-posts .entry-title a,
	.fourth-design #our-services .entry-title a,
	.fourth-design .more-link a:hover,
	.fourth-design .more-link a:focus,
	.fourth-design #testimonials .entry-title a:hover,
	.fourth-design #testimonials .entry-title a:focus,
	.fourth-design .archive-blog-wrapper .post-categories a:hover,
	.fourth-design .archive-blog-wrapper .post-categories a:focus,
	.fourth-design .archive-blog-wrapper .entry-title a {
		color: #000;
	}
	.second-design #masthead .custom-button:hover,
	.second-design #masthead .custom-button:focus,
	.second-design #blog-popular-posts .cat-links a:hover,
	.second-design #blog-popular-posts .cat-links a:focus {
		background-color: #fff;
	}
	.second-design #masthead .custom-button:hover,
	.second-design #masthead .custom-button:focus,
	.second-design #blog-popular-posts .entry-title a,
	.second-design #blog-latest-posts .entry-title a {
		color: #000;
	}
	@media screen and (min-width: 1024px) {
		.main-navigation ul.nav-menu > li > a.custom-button:hover,
		.main-navigation ul.nav-menu > li > a.custom-button:focus {
			background-color: ' . esc_attr( $color_value ) . ';
		}
		.third-design .main-navigation ul ul li.menu-item-has-children:hover > a > svg, 
		.third-design .main-navigation ul ul li.menu-item-has-children > a:hover > svg, 
		.third-design .main-navigation .search-menu svg:hover, 
		.third-design .main-navigation .search-menu svg:focus,
		.fourth-design .main-navigation ul ul li.menu-item-has-children:hover > a > svg, 
		.fourth-design .main-navigation ul ul li.menu-item-has-children > a:hover > svg,
		.fourth-design .main-navigation .search-menu svg,
		.second-design .main-navigation ul ul li.menu-item-has-children:hover > a > svg, 
		.second-design .main-navigation ul ul li.menu-item-has-children > a:hover > svg,
		.second-design .main-navigation .search-menu svg   {
	    	fill: ' . esc_attr( $color_value ) . ';
		}
	}

	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr( $color_value ) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	}
';

	/**
	 * Filters  Medistore Pro custom colors CSS.
	 *
	 * @since  Medistore Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'medistore_pro_custom_colors_css', $css );
}
