<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage  Medistore Pro
 * @since  Medistore Pro 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'medistore_pro_archive_section',
	array(
		'title'             => esc_html__( 'Blog/Archive','medistore-pro' ),
		'description'       => esc_html__( 'Archive section options.', 'medistore-pro' ),
		'panel'             => 'medistore_pro_theme_options_panel',
	)
);

// Your latest posts title setting and control.
$wp_customize->add_setting( 'medistore_pro_theme_options[your_latest_posts_title]',
	array(
		'default'           => $options['your_latest_posts_title'],
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control( 'medistore_pro_theme_options[your_latest_posts_title]',
	array(
		'label'             => esc_html__( 'Your Latest Posts Title', 'medistore-pro' ),
		'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'medistore-pro' ),
		'section'           => 'medistore_pro_archive_section',
		'type'				=> 'text',
		'active_callback'   => 'medistore_pro_is_latest_posts'
	)
);

// features content type control and setting
$wp_customize->add_setting( 'medistore_pro_theme_options[blog_column]',
	array(
		'default'          	=> $options['blog_column'],
		'sanitize_callback' => 'medistore_pro_sanitize_select',
	)
);

$wp_customize->add_control( 'medistore_pro_theme_options[blog_column]',
	array(
		'label'             => esc_html__( 'Column Layout', 'medistore-pro' ),
		'section'           => 'medistore_pro_archive_section',
		'type'				=> 'select',
		'choices'			=> array( 
			'col-1'		=> esc_html__( 'One Column', 'medistore-pro' ),
			'col-2'		=> esc_html__( 'Two Column', 'medistore-pro' ),
			'col-3'		=> esc_html__( 'Three Column', 'medistore-pro' ),
		),
	)
);


// Archive tag category setting and control.
$wp_customize->add_setting( 'medistore_pro_theme_options[hide_author]',
	array(
		'default'           => $options['hide_author'],
		'sanitize_callback' => 'medistore_pro_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  Medistore_Pro_Switch_Control( $wp_customize,
	'medistore_pro_theme_options[hide_author]',
		array(
			'label'             => esc_html__( 'Hide Author', 'medistore-pro' ),
			'section'           => 'medistore_pro_archive_section',
			'on_off_label' 		=> medistore_pro_hide_options(),
		)
	)
);

// Archive tag category setting and control.
$wp_customize->add_setting( 'medistore_pro_theme_options[hide_date]',
	array(
		'default'           => $options['hide_date'],
		'sanitize_callback' => 'medistore_pro_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  Medistore_Pro_Switch_Control( $wp_customize,
	'medistore_pro_theme_options[hide_date]',
		array(
			'label'             => esc_html__( 'Hide Date', 'medistore-pro' ),
			'section'           => 'medistore_pro_archive_section',
			'on_off_label' 		=> medistore_pro_hide_options(),
		)
	)
);

// Archive tag category setting and control.
$wp_customize->add_setting( 'medistore_pro_theme_options[hide_category]',
	array(
		'default'           => $options['hide_category'],
		'sanitize_callback' => 'medistore_pro_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  Medistore_Pro_Switch_Control( $wp_customize,
	'medistore_pro_theme_options[hide_category]',
		array(
			'label'             => esc_html__( 'Hide Category', 'medistore-pro' ),
			'section'           => 'medistore_pro_archive_section',
			'on_off_label' 		=> medistore_pro_hide_options(),
		)
	)
);
