<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage  Medistore Pro
 * @since  Medistore Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'medistore_pro_pagination',
	array(
		'title'               	=> esc_html__('Pagination','medistore-pro'),
		'description'         	=> esc_html__( 'Pagination section options.', 'medistore-pro' ),
		'panel'               	=> 'medistore_pro_theme_options_panel',
	)
);

// Sidebar position setting and control.
$wp_customize->add_setting( 'medistore_pro_theme_options[pagination_enable]',
	array(
		'sanitize_callback' 	=> 'medistore_pro_sanitize_switch_control',
		'default'             	=> $options['pagination_enable'],
	)
);

$wp_customize->add_control( new  Medistore_Pro_Switch_Control( $wp_customize,
	'medistore_pro_theme_options[pagination_enable]',
		array(
			'label'               	=> esc_html__( 'Pagination Enable', 'medistore-pro' ),
			'section'             	=> 'medistore_pro_pagination',
			'on_off_label' 			=> medistore_pro_switch_options(),
		)
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'medistore_pro_theme_options[pagination_type]',
	array(
		'sanitize_callback'   	=> 'medistore_pro_sanitize_select',
		'default'             	=> $options['pagination_type'],
	)
);

$wp_customize->add_control( 'medistore_pro_theme_options[pagination_type]',
	array(
		'label'               	=> esc_html__( 'Pagination Type', 'medistore-pro' ),
		'section'             	=> 'medistore_pro_pagination',
		'type'                	=> 'select',
		'choices'			  	=> medistore_pro_pagination_options(),
		'active_callback'	  	=> 'medistore_pro_is_pagination_enable',
	)
);
