<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage  Medistore Pro
* @since  Medistore Pro 1.0.0
*/
if ( ! function_exists( 'medistore_pro_validate_service_posts_count' ) ) :
    function medistore_pro_validate_service_posts_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'medistore-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'medistore-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'medistore-pro' ) );
       }
       return $validity;
    }
  endif;
if ( ! function_exists( 'medistore_pro_validate_long_excerpt' ) ) :
    function medistore_pro_validate_long_excerpt( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'medistore-pro' ) );
        } elseif ( $value < 5 ) {
            $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'medistore-pro' ) );
        } elseif ( $value > 100 ) {
            $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'medistore-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'medistore_pro_validate_slider_count' ) ) :
  function medistore_pro_validate_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'medistore-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'medistore-pro' ) );
     } elseif ( $value > 5 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 5', 'medistore-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'medistore_pro_validate_blog_count' ) ) :
  function medistore_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'medistore-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'medistore-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'medistore-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'medistore_pro_validate_team_count' ) ) :
    function medistore_pro_validate_team_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'medistore-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'medistore-pro' ) );
       } elseif ( $value > 12 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'medistore-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'medistore_pro_validate_gallery_count' ) ) :
    function medistore_pro_validate_gallery_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'medistore-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'medistore-pro' ) );
       } elseif ( $value > 21 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 21', 'medistore-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'medistore_pro_validate_featured_post_count' ) ) :
    function medistore_pro_validate_featured_post_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'medistore-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'medistore-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'medistore-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'medistore_pro_validate_two_column_count' ) ) :
    function medistore_pro_validate_two_column_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'medistore-pro' ) );
       } elseif ( $value < 2 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'medistore-pro' ) );
       } elseif ( $value > 12 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'medistore-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'medistore_pro_validate_featured_products_count' ) ) :
    function medistore_pro_validate_featured_products_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'medistore-pro' ) );
       } elseif ( $value < 1 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'medistore-pro' ) );
       } elseif ( $value > 12 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'medistore-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'medistore_pro_validate_featured_products_count' ) ) :
    function medistore_pro_validate_featured_products_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'medistore-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'medistore-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'medistore-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'medistore_pro_validate_popular_post_count' ) ) :
    function medistore_pro_validate_popular_post_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'medistore-pro' ) );
       } elseif ( $value < 2 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'medistore-pro' ) );
       } elseif ( $value > 9 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'medistore-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'medistore_pro_validate_recent_post_count' ) ) :
    function medistore_pro_validate_recent_post_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'medistore-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'medistore-pro' ) );
       } elseif ( $value > 9 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'medistore-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'medistore_pro_validate_most_viewed_count' ) ) :
    function medistore_pro_validate_most_viewed_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'medistore-pro' ) );
       } elseif ( $value < 2 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'medistore-pro' ) );
       } elseif ( $value > 8 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'medistore-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'medistore_pro_validate_magazine_latest_post_count' ) ) :
    function medistore_pro_validate_magazine_latest_post_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'medistore-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'medistore-pro' ) );
       } elseif ( $value > 9 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'medistore-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'medistore_pro_validate_testimonial_count' ) ) :
    function medistore_pro_validate_testimonial_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'medistore-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'medistore-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'medistore-pro' ) );
       }
       return $validity;
    }
endif;
